# ChangeLog for dev-vcs/monotone
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/monotone/ChangeLog,v 1.25 2013/02/16 12:39:34 pacho Exp $

  16 Feb 2013; Pacho Ramos <pacho@gentoo.org> -monotone-1.0-r2.ebuild,
  metadata.xml:
  Cleanup due bug #96436

  07 Jun 2012; Zac Medico <zmedico@gentoo.org> monotone-0.99.1-r1.ebuild,
  monotone-1.0-r2.ebuild, monotone-1.0-r3.ebuild:
  inherit user for enewgroup and enewuser

  28 May 2012; Zac Medico <zmedico@gentoo.org> monotone-0.99.1-r1.ebuild,
  monotone-1.0-r2.ebuild:
  Add patch to fix struct file_handle name collision with glibc >=2.14 for bug
  #418027.

  19 Feb 2012; Zac Medico <zmedico@gentoo.org>
  +files/monotone-1.0-glibc-2.14-file-handle.patch, monotone-1.0-r3.ebuild:
  Add patch to fix struct file_handle name collision with glibc-2.14 for bug
  #396651.

*monotone-1.0-r3 (01 Jan 2012)
*monotone-1.0-r2 (01 Jan 2012)
*monotone-0.99.1-r1 (01 Jan 2012)

  01 Jan 2012; Christian Ruppert <idl0r@gentoo.org> -monotone-0.99.1.ebuild,
  +monotone-0.99.1-r1.ebuild, -monotone-1.0.ebuild, -monotone-1.0-r1.ebuild,
  +monotone-1.0-r2.ebuild, +monotone-1.0-r3.ebuild, files/monotone-0.36.initd:
  Revbump. Don't use deprecated start-stop-daemon options and deprecated $opts
  variable, bug 386757.

  12 Sep 2011; Peter Volkov <pva@gentoo.org> monotone-1.0-r1.ebuild:
  Fixed build with USE=doc, bug #380257 wrt Juergen Rose

*monotone-1.0-r1 (11 Sep 2011)

  11 Sep 2011; Peter Volkov <pva@gentoo.org> monotone-1.0.ebuild,
  +monotone-1.0-r1.ebuild, +files/monotone-1.0-bash-completion-tests.patch,
  +files/monotone-1.0-botan-1.10.patch:
  Fix bash-completion test. Drop emacs USE flag (bug #382177); fix
  bash-completion installation (bug #382191), fix build issue with >botan-1.10
  (bug #380257), thank Martin von Gagern for all this reports and fixes.

*monotone-1.0 (05 Sep 2011)

  05 Sep 2011; Peter Volkov <pva@gentoo.org> -files/monotone-0.45-gcc45.patch,
  -monotone-0.48.1.ebuild, -files/monotone-0.48.1-sqlite-3.7.3.patch,
  -monotone-0.99-r1.ebuild, monotone-0.99.1.ebuild,
  -files/monotone-0.99-crash.patch, +monotone-1.0.ebuild:
  Version bump, bug #381135; updated monotone-0.99.1 to depend on
  <dev-libs/botan-1.10, bug 380257, thank Dennis Schridde for both reports.
  Drop old.

  13 Aug 2011; Kacper Kowalik <xarthisius@gentoo.org> monotone-0.48.1.ebuild,
  monotone-0.99-r1.ebuild, monotone-0.99.1.ebuild:
  Dropped ppc keywords wrt #356143

  20 Jul 2011; Pacho Ramos <pacho@gentoo.org> metadata.xml:
  Drop maintainer due retirement, bug #34534

  04 May 2011; Markos Chandras <hwoarang@gentoo.org> monotone-0.99.1.ebuild:
  Stable on amd64 wrt bug #356143

  03 May 2011; Thomas Kahle <tomka@gentoo.org> monotone-0.99.1.ebuild:
  x86 stable per bug 356143

*monotone-0.99.1 (12 Mar 2011)

  12 Mar 2011; Peter Volkov <pva@gentoo.org> -monotone-0.45.ebuild,
  -monotone-0.47.ebuild, -monotone-0.48.ebuild, +monotone-0.99.1.ebuild:
  Version bump, bug #356145, thank Dean Matzkov for report. Drop old.

  09 Nov 2010; Brent Baude <ranger@gentoo.org> monotone-0.48.1.ebuild:
  Marking monotone-0.48.1 ppc for bug 342705

  01 Nov 2010; Christian Faulhammer <fauli@gentoo.org>
  monotone-0.48.1.ebuild:
  stable x86, security bug 342705

  31 Oct 2010; Markos Chandras <hwoarang@gentoo.org> monotone-0.48.1.ebuild:
  Stable on amd64 wrt bug #342705

*monotone-0.99-r1 (29 Oct 2010)
*monotone-0.48.1 (29 Oct 2010)

  29 Oct 2010; Peter Volkov <pva@gentoo.org> +monotone-0.48.1.ebuild,
  +files/monotone-0.48.1-sqlite-3.7.3.patch, -monotone-0.99.ebuild,
  +monotone-0.99-r1.ebuild, +files/monotone-0.99-crash.patch:
  Apply upstream patch for 0.99 to fix crash. Add better version for fast
  stabilization for security bug #342705.

*monotone-0.99 (29 Oct 2010)

  29 Oct 2010; Peter Volkov <pva@gentoo.org> +monotone-0.99.ebuild:
  Version bump, fixes security bug #342705 thank Tim Sammut for report.

  19 Oct 2010; Brent Baude <ranger@gentoo.org> monotone-0.48.ebuild:
  stable ppc, bug 338345

  06 Oct 2010; Markus Meier <maekke@gentoo.org> monotone-0.48.ebuild:
  x86 stable, bug #338345

  22 Sep 2010; Markos Chandras <hwoarang@gentoo.org> monotone-0.48.ebuild:
  Stable on amd64 wrt bug #338345

*monotone-0.48 (20 Jun 2010)

  20 Jun 2010; Christian Faulhammer <fauli@gentoo.org>
  +monotone-0.48.ebuild:
  version bump for bug 323873 by Jack Lloyd <lloyd AT randombit DOT net>

*monotone-0.47 (17 May 2010)

  17 May 2010; Peter Volkov <pva@gentoo.org> +monotone-0.47.ebuild,
  metadata.xml:
  Version bump, bug #309577, thank Jack Lloyd for report.

  27 Apr 2010; Samuli Suominen <ssuominen@gentoo.org> monotone-0.45.ebuild,
  +files/monotone-0.45-gcc45.patch:
  Fix building with GCC 4.5 wrt #317509 by Philipp.

  05 Mar 2010; Sebastian Pipping <sping@gentoo.org>
  +files/50monotone-gentoo.el, +files/monotone-0.36.initd,
  +monotone-0.45.ebuild, +files/hooks.lua, +files/monotone.confd,
  +files/read-permissions, +files/write-permissions, +metadata.xml:
  Move to dev-vcs category

  09 Dec 2009; Christian Faulhammer <fauli@gentoo.org>
  -monotone-0.40.ebuild, -monotone-0.44.ebuild:
  clean up

  08 Dec 2009; nixnut <nixnut@gentoo.org> monotone-0.45.ebuild:
  ppc stable #291749

  07 Dec 2009; Markus Meier <maekke@gentoo.org> monotone-0.45.ebuild:
  x86 stable, bug #291749

  07 Dec 2009; Markus Meier <maekke@gentoo.org> monotone-0.45.ebuild:
  amd64 stable, bug #291749

*monotone-0.45 (13 Sep 2009)

  13 Sep 2009; Patrick Lauer <patrick@gentoo.org> +monotone-0.45.ebuild:
  Bump, closes #284803

  16 Jul 2009; Samuli Suominen <ssuominen@gentoo.org> monotone-0.44.ebuild:
  Remove obsolete strip-flags and replace FEATURES testing by UID testing
  wrt #277450, thanks to Jack Lloyd for reporting.

*monotone-0.44 (28 Jun 2009)

  28 Jun 2009; Patrick Lauer <patrick@gentoo.org> +monotone-0.44.ebuild:
  Bump to 0.44, fixes #270827

  29 Apr 2009; Raúl Porcel <armin76@gentoo.org> monotone-0.43.ebuild:
  Readd ~ia64 wrt #267773

*monotone-0.43 (28 Apr 2009)

  28 Apr 2009; Daniel Black <dragonheart@gentoo.org> +monotone-0.43.ebuild:
  version bump as per bug #238026 with ebuild thanks to Dennis Schridde

  08 Nov 2008; nixnut <nixnut@gentoo.org> monotone-0.40.ebuild:
  Stable on ppc wrt bug 245390

  03 Nov 2008; Markus Meier <maekke@gentoo.org> monotone-0.40.ebuild:
  amd64/x86 stable, bug #244390

  30 Aug 2008; Daniel Black <dragonheart@gentoo.org>
  files/monotone-0.36.initd:
  added default values to init script. patch thanks to Dennis Schridde - bug
  #235037

  30 Aug 2008; Daniel Black <dragonheart@gentoo.org> monotone-0.39.ebuild,
  monotone-0.40.ebuild:
  depricating elist-comp as per bug #235879. thanks Ulrich for the patch

  03 May 2008; Daniel Black <dragonheart@gentoo.org> monotone-0.35.ebuild,
  -monotone-0.36-r1.ebuild:
  cleaned out 0.36 version. Fixed boost depend in 0.35 (stable) so it is not a
  runtime depend. Thanks to gentoofan23 on irc for the prompting

*monotone-0.40 (03 May 2008)

  03 May 2008; Daniel Black <dragonheart@gentoo.org> +monotone-0.40.ebuild:
  version bump

  03 Apr 2008; Daniel Black <dragonheart@gentoo.org> monotone-0.39.ebuild:
  use system pcre as suggested by Dennis Schridde in bug #215837

*monotone-0.39 (02 Apr 2008)

  02 Apr 2008; Daniel Black <dragonheart@gentoo.org> -files/monotone.initd,
  -monotone-0.29.ebuild, -monotone-0.32.ebuild, -monotone-0.33.ebuild,
  -monotone-0.36.ebuild, +monotone-0.39.ebuild:
  version bump as per bug #202371 - thanks to fixes from Rainer Keller and
  suggestions from Xake. Old version cleanout

*monotone-0.36-r1 (26 Oct 2007)

  26 Oct 2007; Ulrich Mueller <ulm@gentoo.org> +files/50monotone-gentoo.el,
  +monotone-0.36-r1.ebuild:
  Improve Emacs support: Use elisp-comp function for proper byte-compilation;
  replace "require" in site-init file by autoload mechanism. Add die commands
  to elisp-install and elisp-site-file-install.

  24 Oct 2007; Steve Dibb <beandog@gentoo.org> monotone-0.35.ebuild:
  amd64 stable, bug 187158

  09 Oct 2007; Lars Weiler <pylon@gentoo.org> monotone-0.35.ebuild:
  stable ppc, bug #187158

  07 Oct 2007; Christian Faulhammer <opfer@gentoo.org> monotone-0.35.ebuild:
  stable x86, bug 187158

*monotone-0.36 (07 Oct 2007)

  07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
  +files/monotone-0.36.initd, +monotone-0.36.ebuild:
  version bump, fixes bug 193805; correct init file so bug 193935 gets fixed:
  solution proposed by Dennis Schridde <lindevel@gmx.net>

*monotone-0.35 (21 Jun 2007)

  21 Jun 2007; Daniel Black <dragonheart@gentoo.org>
  +files/monotone-0.35-numeric-vocab.patch, +monotone-0.35.ebuild:
  version bump and patch as per bug #177147 thanks to Luis Vitorio
  Cargnini

  14 May 2007; Thilo Bangert <bangert@gentoo.org> metadata.xml:
  add <herd>no-herd</herd>

  04 Apr 2007; Leonardo Boshell <leonardop@gentoo.org> metadata.xml:
  Removing myself as maintainer.

*monotone-0.33 (13 Mar 2007)

  13 Mar 2007; Daniel Black <dragonheart@gentoo.org>
  +files/monotone-0.33.initd, metadata.xml, -monotone-0.16.ebuild,
  -monotone-0.18.ebuild, -monotone-0.19.ebuild, -monotone-0.24.ebuild,
  -monotone-0.25.ebuild, monotone-0.29.ebuild, monotone-0.32.ebuild,
  +monotone-0.33.ebuild:
  version bump thanks to johnny. big prune of back versions too. Welcome
  johnny to the maintainence of monotone

  05 Mar 2007; Daniel Black <dragonheart@gentoo.org> monotone-0.29.ebuild,
  monotone-0.32.ebuild:
  bad escaping on einfo comments thanks to johnny in irc

  05 Mar 2007; Marius Mauch <genone@gentoo.org> monotone-0.24.ebuild,
  monotone-0.25.ebuild, monotone-0.29.ebuild, monotone-0.32.ebuild:
  Replacing einfo with elog

  22 Feb 2007; Piotr Jaroszyński <peper@gentoo.org> ChangeLog:
  Transition to Manifest2.

  05 Feb 2007; Simon Stelling <blubb@gentoo.org> monotone-0.29.ebuild:
  stable on amd64

  20 Jan 2007; Daniel Black <dragonheart@gentoo.org> monotone-0.29.ebuild,
  monotone-0.32.ebuild:
  montone typo bit more common - bug #161897 thanks Cameron Brunner

  08 Jan 2007; Christian Faulhammer <opfer@gentoo.org> monotone-0.29.ebuild:
  stable x86, bug #159152

  07 Jan 2007; Daniel Black <dragonheart@gentoo.org> monotone-0.29.ebuild,
  monotone-0.32.ebuild:
  /var/log/montone -> /var/log/monotone typo fix thanks to Markus Meier in bug
  #159152

  03 Jan 2007; nixnut <nixnut@gentoo.org> monotone-0.29.ebuild:
  Stable on ppc wrt bug 159152

  29 Dec 2006; Daniel Black <dragonheart@gentoo.org> monotone-0.29.ebuild:
  change boost dependency as it does not work for 1.34*. monotone versions
  <=0.25 are on the way out once 0.29 is stabilised

*monotone-0.32 (28 Dec 2006)

  28 Dec 2006; Daniel Black <dragonheart@gentoo.org> +monotone-0.32.ebuild:
  version bump as per bug #149209. Thanks Jack Lloyd

  29 Oct 2006; Daniel Black <dragonheart@gentoo.org> monotone-0.29.ebuild:
  requires >=gcc-3.4 as per bug #146971 thanks to Petr Baudis

*monotone-0.29 (04 Sep 2006)

  04 Sep 2006; Daniel Black <dragonheart@gentoo.org> +files/hooks.lua,
  +files/monotone.confd, +files/monotone.initd, +files/read-permissions,
  +files/write-permissions, +monotone-0.29.ebuild:
  version bump as per bug #131044. Thanks to the many many many people who
  have endured my slowness and contributed to the concoction that is this
  ebuild and scripts

  12 Jul 2006; Danny van Dyk <kugelfang@gentoo.org> monotone-0.16.ebuild:
  QA: Added doc to IUSE.

  16 Jan 2006; Mark Loeser <halcy0n@gentoo.org> monotone-0.25.ebuild:
  Add test-flags for -fstack-protector

*monotone-0.25 (02 Jan 2006)

  02 Jan 2006; Leonardo Boshell <leonardop@gentoo.org>
  +monotone-0.25.ebuild:
  Version bump.

*monotone-0.24 (28 Nov 2005)

  28 Nov 2005; Leonardo Boshell <leonardop@gentoo.org>
  +monotone-0.24.ebuild:
  Version bump.

  18 Nov 2005; Leonardo Boshell <leonardop@gentoo.org> monotone-0.18.ebuild,
  monotone-0.19.ebuild:
  Updated boost dependency version to >=1.32.0 (bug #90457).

*monotone-0.23-r1 (17 Oct 2005)

  17 Oct 2005; Daniel Black <dragonheart@gentoo.org> -monotone-0.23.ebuild,
  +monotone-0.23-r1.ebuild:
  added -fno-omit-frame-pointer as per bug #109507 thanks to Glenn L. McGrath

*monotone-0.23 (30 Sep 2005)

  30 Sep 2005; Leonardo Boshell <leonardop@gentoo.org>
  +monotone-0.23.ebuild:
  New version.

*monotone-0.22 (09 Aug 2005)

  22 Aug 2005; Leonardo Boshell <leonardop@gentoo.org> monotone-0.22.ebuild:
  New version.

*monotone-0.21-r1 (08 Aug 2005)

  08 Aug 2005; Leonardo Boshell <leonardop@gentoo.org>
  monotone-0.21-r1.ebuild, files/30monotone-gentoo.el:
  New revision. Added 'emacs' USE flag to optionally install elisp files
  from 'contrib' (bug #101742).

*monotone-0.21 (19 Jul 2005)

  19 Jul 2005; Leonardo Boshell <leonardop@gentoo.org> monotone-0.21.ebuild:
  New release.

*monotone-0.20 (06 Jul 2005)

  06 Jul 2005; Leonardo Boshell <leonardop@gentoo.org> monotone-0.20.ebuild:
  New release.

  17 Jun 2005; Michael Hanselmann <hansmi@gentoo.org> monotone-0.19.ebuild:
  Stable on ppc.

  15 Jun 2005; Leonardo Boshell <leonardop@gentoo.org> monotone-0.19.ebuild:
  Stable on x86.

*monotone-0.19 (15 May 2005)

  15 May 2005; Leonardo Boshell <leonardop@gentoo.org> monotone-0.19.ebuild,
  metadata.xml:
  New release. Reset SLOT to 0. Reworded the post-installation instructions.
  Added support for the 'ipv6' USE flag, and re-enabled 'doc'. Don't inherit
  from eutils. Style changes. Added myself as maintainer in metadata.xml.
  Resolves bug #91490.

  01 May 2005; Daniel Black <dragonheart@gentoo.org> monotone-0.18.ebuild:
  remove popt dependancy as per bug #90967 by James Rowe
  <jnrowe@ukfsSPAMLESSn.org>

  24 Apr 2005; Michael Hanselmann <hansmi@gentoo.org> monotone-0.18.ebuild:
  Stable on ppc.

*monotone-0.18 (21 Apr 2005)

  21 Apr 2005; Daniel Black <dragonheart@gentoo.org> +monotone-0.18.ebuild:
  Version bump as per bug #85998. Thanks Wojciech Milkowski <wmilkowski@gazeta.pl>

  19 Apr 2005; Daniel Black <dragonheart@gentoo.org> monotone-0.16.ebuild,
  monotone-0.17.ebuild:
  changed gcc dependancy down to 3.2 as suggested by Michal Gornisiewicz
  <michal@tartarus.uNOSPAMwa.edu.au> via email

  12 Apr 2005; David Holm <dholm@gentoo.org> monotone-0.17.ebuild:
  Added to ~ppc.

  01 Apr 2005; Simon Stelling <blubb@gentoo.org> monotone-0.17.ebuild:
  stable on amd64

  25 Mar 2005; Daniel Black <dragonheart@gentoo.org> monotone-0.17.ebuild:
  Selftest now fixed

*monotone-0.17 (24 Mar 2005)

  24 Mar 2005; Daniel Black <dragonheart@gentoo.org> +monotone-0.17.ebuild:
  Version bump as per bug #85998. Ebuild thanks to Wojciech Milkowski
  <wmilkowski@gazeta.pl>

  04 Jan 2005; Daniel Black <dragonheart@gentoo.org> monotone-0.16.ebuild:
  enabled self test with a warning about test #62 cause it failed for Wojciech
  Milkowski <wmilkowski@gazeta.pl> (bug #76332).

  02 Jan 2005; Daniel Black <dragonheart@gentoo.org> monotone-0.16.ebuild:
  Added strip-flags at the suggestion of Wojciech Milkowski
  <wmilkowski@gazeta.pl>. bug #76332

*monotone-0.16 (02 Jan 2005)

  02 Jan 2005; Daniel Black <dragonheart@gentoo.org> -monotone-0.15.ebuild,
  +monotone-0.16.ebuild:
  Remove broken 0.15 version. Added version 0.16 as per bug report #76332.
  Thanks to ajax <ajax@nwnk.net> and Wojciech Milkowski <wmilkowski@gazeta.pl>.

*monotone-0.15 (30 Dec 2004)

  30 Dec 2004; Daniel Black <dragonheart@gentoo.org> +metadata.xml,
  +monotone-0.15.ebuild:
  initial import as per bug #39383. Ebuild based of contributions from Peter
  Simons <simons@cryp.to> and Wojciech Milkowski <wmilkowski@gazeta.pl>.
